/*
 * This file is part of the AdvanceMAME project
 *
 * Copyright (C) 1999-2000 Andrea Mazzoleni
 *
 * The contents of this file are free for non-commercial use.
 * Any commercial use is forbidden.
 */

#ifndef __BACKDROP_H
#define __BACKDROP_H

#include "bitmap.h"
#include "screen.h"

#ifdef __cplusplus
extern "C" {
#endif

struct bitmap* backdrop_load(char *filename, video_color* rgb, unsigned* rgb_max, int (*fast_exit_handle)(void));

#ifdef __cplusplus
};
#endif

#endif

