/*
 * This file is part of the AdvanceMAME project
 *
 * Copyright (C) 1999-2000 Andrea Mazzoleni
 *
 * The contents of this file are free for non-commercial use.
 * Any commercial use is forbidden.
 */

#ifndef __VGA_H
#define __VGA_H

#include "screen.h"

#ifdef __cplusplus
extern "C" {
#endif

int vga_mode_import(video_mode* mode);
video_error vga_mode_import_and_insert(video_mode_container* vmc, video_mode* mode);

void video_mode_container_insert_vga(video_mode_container* vmc);
void video_mode_vga_print(char* s, const video_mode* vm);

#ifdef __cplusplus
}
#endif


#endif
